<?xml version="1.0" encoding="UTF-8"?>
<interface>
	<requires lib="gtk" version="4.0"/>
	<requires lib="Adw" version="1.0"/>
	<template class="GpmbootstrapWindow" parent="AdwApplicationWindow">
		<property name="default-width">650</property>
		<property name="default-height">500</property>
		<child>
			<object class="GtkBox">
				<property name="orientation">vertical</property>
				<child>
					<object class="GtkHeaderBar" id="header_bar">
						<child type="end">
							<object class="GtkMenuButton" id="menu_button">
								<property name="icon-name">open-menu-symbolic</property>
								<property name="menu-model">primary_menu</property>
							</object>
						</child>
						<child type="start">
							<object class="GtkToggleButton" id="search_button">
								<property name="sensitive">1</property>
								<property name="icon-name">edit-find-symbolic</property>
							</object>
						</child>
					</object>
				</child>
				<child>
					<object class="AdwCarousel" id="carousel">
						<property name="interactive">false</property>
						<child>
							<object class="GtkScrolledWindow" id="select_device_page">
								<property name="focusable">1</property>
								<property name="hscrollbar_policy">never</property>
								<property name="hexpand">true</property>
								<child>
									<object class="GtkGrid">
										<property name="hexpand">true</property>
										<property name="orientation">vertical</property>
										<child>
											<object class="GtkSearchBar" id="device_search_bar">
												<child>
													<object class="GtkSearchEntry" id="device_search_entry"></object>
												</child>
											</object>
										</child>
										<child>
											<object class="GtkLabel">
												<property name="label">Choose a device</property>
												<property name="hexpand">true</property>
												<property name="opacity">1</property>
												<property name="margin_top">15</property>
												<property name="margin_bottom">15</property>
												<property name="margin_start">15</property>
												<property name="margin_end">15</property>
												<layout>
													<property name="column">0</property>
													<property name="row">1</property>
												</layout>
												<style>
													<class name="title-1"/>
												</style>
											</object>
										</child>
										<child>
											<object class="GtkListBox" id="device_list">
												<property name="hexpand">true</property>
												<property name="vexpand">true</property>
												<property name="margin_start">10</property>
												<property name="margin_end">10</property>
												<property name="margin_bottom">10</property>
												<property name="selection-mode">single</property>
												<style>
													<class name="boxed-list"/>
												</style>
											</object>
										</child>
									</object>
								</child>
							</object>
						</child>
						<child>
							<object class="GtkScrolledWindow" id="select_kernel_page">
								<property name="focusable">1</property>
								<property name="hscrollbar_policy">never</property>
								<property name="hexpand">true</property>
								<child>
									<object class="GtkGrid">
										<property name="hexpand">true</property>
										<property name="orientation">vertical</property>
										<child>
											<object class="GtkLabel">
												<property name="label">Select a kernel</property>
												<property name="hexpand">true</property>
												<property name="opacity">1</property>
												<property name="margin_top">15</property>
												<property name="margin_bottom">15</property>
												<property name="margin_start">15</property>
												<property name="margin_end">15</property>
												<layout>
													<property name="column">0</property>
													<property name="row">0</property>
												</layout>
												<style>
													<class name="title-1"/>
												</style>
											</object>
										</child>
										<child>
											<object class="GtkListBox" id="kernel_list">
												<property name="hexpand">true</property>
												<property name="vexpand">true</property>
												<property name="margin_start">10</property>
												<property name="margin_end">10</property>
												<property name="margin_bottom">10</property>
												<property name="selection-mode">single</property>
												<style>
													<class name="boxed-list"/>
												</style>
											</object>
										</child>
									</object>
								</child>
							</object>
						</child>
						<child>
							<object class="GtkScrolledWindow" id="select_ui_page">
								<property name="focusable">1</property>
								<property name="hscrollbar_policy">never</property>
								<property name="hexpand">true</property>
								<child>
									<object class="GtkGrid">
										<property name="hexpand">true</property>
										<property name="orientation">vertical</property>
										<child>
											<object class="GtkLabel">
												<property name="label">Select a user interface</property>
												<property name="hexpand">true</property>
												<property name="opacity">1</property>
												<property name="margin_top">15</property>
												<property name="margin_bottom">15</property>
												<property name="margin_start">15</property>
												<property name="margin_end">15</property>
												<layout>
													<property name="column">0</property>
													<property name="row">0</property>
												</layout>
												<style>
													<class name="title-1"/>
												</style>
											</object>
										</child>
										<child>
											<object class="GtkListBox" id="ui_list">
												<property name="hexpand">true</property>
												<property name="vexpand">true</property>
												<property name="margin_start">10</property>
												<property name="margin_end">10</property>
												<property name="margin_bottom">10</property>
												<property name="selection-mode">single</property>
												<style>
													<class name="boxed-list"/>
												</style>
											</object>
										</child>
									</object>
								</child>
							</object>
						</child>
						<child>
							<object class="GtkScrolledWindow" id="security_page">
								<property name="focusable">1</property>
								<property name="hscrollbar_policy">never</property>
								<property name="hexpand">true</property>
								<child>
									<object class="GtkGrid">
										<property name="hexpand">true</property>
										<property name="orientation">vertical</property>
										<child>
											<object class="GtkLabel">
												<property name="label">Security options</property>
												<property name="hexpand">true</property>
												<property name="opacity">1</property>
												<property name="margin_top">15</property>
												<property name="margin_bottom">15</property>
												<property name="margin_start">15</property>
												<property name="margin_end">15</property>
												<layout>
													<property name="column">0</property>
													<property name="row">0</property>
												</layout>
												<style>
													<class name="title-1"/>
												</style>
											</object>
										</child>
										<child>
											<object class="GtkListBox">
												<property name="hexpand">true</property>
												<property name="vexpand">true</property>
												<property name="margin_start">10</property>
												<property name="margin_end">10</property>
												<property name="margin_bottom">10</property>
												<property name="selection_mode">none</property>
												<style>
													<class name="boxed-list"/>
												</style>
												<child>
													<object class="AdwComboRow">
														<property name="sensitive">true</property>
														<property name="title">Full-disk encryption</property>
														<child>
															<object class="GtkSwitch" id="fde_switch">
																<property name="valign">center</property>
															</object>
														</child>
													</object>
												</child>
												<child>
													<object class="AdwEntryRow" id="hostname_entry">
														<property name="title">Hostname</property>
														<property name="text">postmarketos</property>
														<property name="input-purpose">GTK_INPUT_PURPOSE_NAME</property>
													</object>
												</child>
												<child>
													<object class="AdwEntryRow" id="user_name_entry">
														<property name="title">Username</property>
														<property name="text">user</property>
														<property name="input-purpose">GTK_INPUT_PURPOSE_NAME</property>
													</object>
												</child>
												<child>
													<object class="AdwPasswordEntryRow" id="password_entry">
														<property name="title">Password</property>
														<property name="text">147147</property>
													</object>
												</child>
											</object>
										</child>
										<child>
											<object class="GtkButton" id="install_button">
												<property name="label">Install postmarketos</property>
												<style>
													<class name="suggested-action"/>
												</style>
											</object>
										</child>
									</object>
								</child>
							</object>
						</child>
						<child>
							<object class="GtkScrolledWindow" id="flash_page">
								<property name="focusable">1</property>
								<property name="hscrollbar_policy">never</property>
								<property name="hexpand">true</property>
								<child>
									<object class="GtkGrid">
										<property name="hexpand">true</property>
										<property name="orientation">vertical</property>
										<child>
											<object class="GtkLabel">
												<property name="label">Flashing...</property>
												<property name="hexpand">true</property>
												<property name="opacity">1</property>
												<property name="margin_top">15</property>
												<property name="margin_bottom">15</property>
												<property name="margin_start">15</property>
												<property name="margin_end">15</property>
												<layout>
													<property name="column">0</property>
													<property name="row">0</property>
												</layout>
												<style>
													<class name="title-1"/>
												</style>
											</object>
										</child>
										<child>
											<object class="GtkListBox" id="flash_list">
												<property name="hexpand">true</property>
												<property name="vexpand">true</property>
												<property name="margin_start">10</property>
												<property name="margin_end">10</property>
												<property name="margin_bottom">10</property>
												<property name="selection-mode">none</property>
												<style>
													<class name="boxed-list"/>
												</style>
											</object>
										</child>
									</object>
								</child>
							</object>
						</child>
					</object>
				</child>
			</object>
		</child>
	</template>
	<menu id="primary_menu">
		<section>
			<item>
				<attribute name="label">Preferences</attribute>
				<attribute name="action">app.preferences</attribute>
			</item>
			<item>
				<attribute name="label">About Gpmbootstrap</attribute>
				<attribute name="action">app.about</attribute>
			</item>
		</section>
	</menu>
</interface>
